﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Touchandmove : MonoBehaviour
{
    private Rigidbody2D rb;
    private Vector3 direction;
    public float moveSpeed = 10f;
    public float distFromCam = 10; 
    
    private void Start()
    {
        rb = GetComponent<Rigidbody2D>();
    }

    private void OnMouseDrag()
    {
        Vector3 pos = Camera.main.ScreenToWorldPoint(new Vector3(Input.mousePosition.x, Input.mousePosition.y, distFromCam));
        direction = (pos - transform.position);
        rb.velocity = new Vector2(direction.x, direction.y) * moveSpeed;
    }
}

