﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class FadeinPanel : MonoBehaviour
{
    public float fadeinTime;

    private Image fadePanel;
    private Color currentcolor = Color.black;

    // Start is called before the first frame update
    void Start()
    {
        fadePanel = GetComponent<Image>();


    }

    // Update is called once per frame
    void Update()
    { 
        // timesince level load waits for time since level load is greater than fadeintime then execute.
        if(Time.timeSinceLevelLoad < fadeinTime)
        {
            float alphaChange = Time.deltaTime / fadeinTime;
            currentcolor.a -= alphaChange;
            fadePanel.color = currentcolor;
        }
        else
        {
            gameObject.SetActive(false);
            Destroy(gameObject);
        }
    }
}
